DROP TABLE IF EXISTS categories

CREATE TABLE IF NOT EXISTS categories (
    id bigint GENERATED ALWAYS AS IDENTITY,
    name CHARACTER VARYING NOT NULL,
    create_datetime TIMESTAMP WITHOUT TIME ZONE NOT NULL,
    update_datetime TIMESTAMP WITHOUT TIME ZONE
)

ALTER TABLE categories
ADD CONSTRAINT category_id_fk PRIMARY KEY (id)

ALTER TABLE categories
ADD CONSTRAINT category_name_uni UNIQUE (name)